Authorization Provider - List By Service
Visar en samling auktoriseringsprovidrar som definierats i en tjänstinstans.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/authorizationProviders?api-version=2024-05-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/authorizationProviders?$filter={$filter}&$top={$top}&$skip={$skip}&api-version=2024-05-01
URI-parametrar
| Name | I | Obligatorisk | Typ | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Namnet på resursgruppen. Namnet är skiftlägesokänsligt. |
|
service
|
path | True |
string minLength: 1maxLength: 50 pattern: ^[a-zA-Z](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?$ |
Namnet på API Management-tjänsten. |
|
subscription
|
path | True |
string (uuid) |
ID för målprenumerationen. Värdet måste vara ett UUID. |
|
api-version
|
query | True |
string minLength: 1 |
DEN API-version som ska användas för den här åtgärden. |
|
$filter
|
query |
string |
| Fält | Användning | Operatorer som stöds | Funktioner som stöds | |
|
|
$skip
|
query |
integer (int32) minimum: 0 |
Antal poster att hoppa över. |
|
|
$top
|
query |
integer (int32) minimum: 1 |
Antal poster som ska returneras. |
Svar
| Name | Typ | Description |
|---|---|---|
| 200 OK |
En samling auktoriseringsproviderentiteter för den angivna API Management-tjänstinstansen. |
|
| Other Status Codes |
Felsvar som beskriver varför åtgärden misslyckades. |
Säkerhet
azure_auth
Azure Active Directory OAuth2-flöde.
Typ:
oauth2
Flow:
implicit
Auktoriseringswebbadress:
https://login.microsoftonline.com/common/oauth2/authorize
Omfattningar
| Name | Description |
|---|---|
| user_impersonation | personifiera ditt användarkonto |
Exempel
ApiManagementListAuthorizationProviders
Exempelbegäran
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/authorizationProviders?api-version=2024-05-01
Exempelsvar
{
"value": [
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/authorizationProviders/aadwithauthcode",
"type": "Microsoft.ApiManagement/service/authorizationProviders",
"name": "aadwithauthcode",
"properties": {
"displayName": "aadwithauthcode",
"identityProvider": "aad",
"oauth2": {
"redirectUrl": "https://authorization-manager.consent.azure-apim.net/redirect/apim/apimService1",
"grantTypes": {
"authorizationCode": {
"clientId": "53790825-fdd3-4b80-bc7a-4c3aaf25801d",
"scopes": "User.Read.All Group.Read.All",
"loginUri": "https://login.windows.net",
"resourceUri": "https://graph.microsoft.com",
"tenantId": "common"
}
}
}
}
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/authorizationProviders/aadwithclientcred",
"type": "Microsoft.ApiManagement/service/authorizationProviders",
"name": "aadwithclientcred",
"properties": {
"displayName": "aadwithclientcred",
"identityProvider": "aad",
"oauth2": {
"redirectUrl": "https://authorization-manager.consent.azure-apim.net/redirect/apim/apimService1",
"grantTypes": {
"clientCredentials": {
"scopes": "User.Read.All Group.Read.All",
"loginUri": "https://login.windows.net",
"resourceUri": "https://graph.microsoft.com",
"tenantId": "common"
}
}
}
}
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/authorizationProviders/google",
"type": "Microsoft.ApiManagement/service/authorizationProviders",
"name": "google",
"properties": {
"displayName": "google",
"identityProvider": "google",
"oauth2": {
"redirectUrl": "https://authorization-manager.consent.azure-apim.net/redirect/apim/apimService1",
"grantTypes": {
"authorizationCode": {
"clientId": "99999999-xxxxxxxxxxxxxxxxxxxxxxxx.apps.googleusercontent.com",
"scopes": "openid https://www.googleapis.com/auth/userinfo.profile https://www.googleapis.com/auth/userinfo.email"
}
}
}
}
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/authorizationProviders/eventbrite",
"type": "Microsoft.ApiManagement/service/authorizationProviders",
"name": "eventbrite",
"properties": {
"displayName": "eventbrite",
"identityProvider": "oauth2",
"oauth2": {
"redirectUrl": "https://authorization-manager.consent.azure-apim.net/redirect/apim/apimService1",
"grantTypes": {
"authorizationCode": {
"clientId": "clientid",
"scopes": null,
"authorizationUrl": "https://www.eventbrite.com/oauth/authorize",
"refreshUrl": "https://www.eventbrite.com/oauth/token",
"tokenUrl": "https://www.eventbrite.com/oauth/token"
}
}
}
}
}
],
"nextLink": ""
}
Definitioner
| Name | Description |
|---|---|
|
Authorization |
Representation av lista över sidiga auktoriseringsprovider. |
|
Authorization |
Auktoriseringsproviderkontrakt. |
|
Authorization |
Inställningar för auktoriseringsprovider oauth2-beviljandetyper |
|
Authorization |
Information om OAuth2-inställningar |
|
Error |
Ytterligare information om resurshanteringsfelet. |
|
Error |
Felinformationen. |
|
Error |
Felsvar |
AuthorizationProviderCollection
Representation av lista över sidiga auktoriseringsprovider.
| Name | Typ | Description |
|---|---|---|
| nextLink |
string |
Om det finns någon länk till nästa sida. |
| value |
Sidvärden. |
AuthorizationProviderContract
Auktoriseringsproviderkontrakt.
| Name | Typ | Description |
|---|---|---|
| id |
string |
Fullständigt kvalificerat resurs-ID för resursen. Ex – /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
Namnet på resursen |
| properties.displayName |
string minLength: 1maxLength: 300 |
Auktoriseringsproviderns namn. Måste vara mellan 1 och 300 tecken långt. |
| properties.identityProvider |
string |
Identitetsproviderns namn. Måste vara mellan 1 och 300 tecken långt. |
| properties.oauth2 |
OAuth2-inställningar |
|
| type |
string |
Resurstypen. Till exempel "Microsoft.Compute/virtualMachines" eller "Microsoft.Storage/storageAccounts" |
AuthorizationProviderOAuth2GrantTypes
Inställningar för auktoriseringsprovider oauth2-beviljandetyper
| Name | Typ | Description |
|---|---|---|
| authorizationCode |
object |
Tilldelningsparametrar för OAuth2-auktoriseringskod |
| clientCredentials |
object |
Tilldelningsparametrar för OAuth2-klientautentiseringsuppgifter |
AuthorizationProviderOAuth2Settings
Information om OAuth2-inställningar
| Name | Typ | Description |
|---|---|---|
| grantTypes |
OAuth2-inställningar |
|
| redirectUrl |
string |
Omdirigerings-URL som ska anges i OAuth-programmet. |
ErrorAdditionalInfo
Ytterligare information om resurshanteringsfelet.
| Name | Typ | Description |
|---|---|---|
| info |
object |
Ytterligare information. |
| type |
string |
Ytterligare informationstyp. |
ErrorDetail
Felinformationen.
| Name | Typ | Description |
|---|---|---|
| additionalInfo |
Ytterligare information om felet. |
|
| code |
string |
Felkoden. |
| details |
Felinformationen. |
|
| message |
string |
Felmeddelandet. |
| target |
string |
Felmålet. |
ErrorResponse
Felsvar
| Name | Typ | Description |
|---|---|---|
| error |
Felobjektet. |